/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2013 Frederik Heber. All rights reserved.
 * 
 *
 *   This file is part of MoleCuilder.
 *
 *    MoleCuilder is free software: you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation, either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    MoleCuilder is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with MoleCuilder.  If not, see <http://www.gnu.org/licenses/>.
 */

/*
 * wait.cpp
 *
 *  Created on: Sep 28, 2013
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "CodePatterns/MemDebug.hpp"

#include "modules.hpp"

#include "CodePatterns/Log.hpp"

#include "UIElements/UIFactory.hpp"
#include "cleanUp.hpp"

void MoleCuilder::detail::module_wait()
{
  // prevent wait() in python scripts in case of present UI (loaded sessions)
#ifdef HAVE_ACTION_THREAD
  if (!UIFactory::isFactoryPresent()) {
    LOG(0, "Waiting for action queue to idle.");
    waitQueue();
  }
#endif
}
